<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core">

<h:head>
    <ui:insert name="head"></ui:insert>
    <h:outputStylesheet library="css" name="style.css"/>
</h:head>

<h:body>
    <!-- attribut class pour les classes css d'un élément html  -->
    <b:navBar brand="Puzzle">
        <b:navbarLinks>
            <b:navLink value="Accueil" icon-awesome="home" href="index.xhtml"></b:navLink>
            <c:if test="#{mbLogin.sessionCandidate.firstName != null}">
                <b:navLink icon-awesome="fa-suitcase" pull="right" value="Mes process"
                           href="myProcess.xhtml"></b:navLink>
            </c:if>
            <c:if test="#{mbLogin.sessionCandidate.firstName != null}">
                <b:navLink icon-awesome="fa-search" pull="right" value="Rechercher un poste"
                           href="jobSearch.xhtml"></b:navLink>
            </c:if>
            <c:if test="#{mbLogin.sessionRecruiter.firstName != null}">
                <b:navLink icon-awesome="fa-search" pull="right" value="Rechercher un candidat"
                           href="candidate.xhtml"></b:navLink>
            </c:if>
            <c:if test="#{mbLogin.sessionRecruiter.firstName != null}">
                <b:navLink icon-awesome="fa-users" pull="right" value="Mes recrutements"
                           href="myJob.xhtml"></b:navLink>
            </c:if>

        </b:navbarLinks>
        <b:navbarLinks pull="right" styleClass="hidden-xs">
            <c:if test="#{mbLogin.sessionCandidate.firstName != null}">
                <b:dropMenu icon-size="lg" icon-awesome="user" pull="right"
                            value="#{mbLogin.sessionCandidate.firstName}">
                    <b:form>
                        <b:navCommandLink value="Déconnexion" action="#{mbLogin.disconnect()}"></b:navCommandLink>
                    </b:form>
                </b:dropMenu>
            </c:if>
            <c:if test="#{mbLogin.sessionRecruiter.firstName != null}">
                <b:dropMenu icon-size="lg" icon-awesome="user" pull="right"
                            value="#{mbLogin.sessionRecruiter.firstName}">
                    <b:form>
                        <b:navCommandLink style="text-align:center" value="Déconnexion" action="#{mbLogin.disconnect()}"></b:navCommandLink>
                    </b:form>
                </b:dropMenu>
            </c:if>
            <c:if test="#{mbLogin.sessionCandidate.firstName == null and mbLogin.sessionRecruiter.firstName == null}">
                <b:navLink icon-size="lg" pull="right" value="Connexion" icon-awesome="key"
                           href="login.xhtml"></b:navLink>
            </c:if>
        </b:navbarLinks>
    </b:navBar>

    <b:container style="min-width: 90vw">
        <b:row>
            <!-- attribut style-class pour les classes css d'un élément bootsfaces  -->
            <b:column style-class="arch-content">
                <ui:insert name="content"></ui:insert>
            </b:column>
        </b:row>
    </b:container>

    <div class="arch-footer arch-flex-justify-content arch-flex-align-items">
        <p>Puzzle - 2022</p>
    </div>
</h:body>

</html>